Searches for the indices of the parameters in a parameter collection.
POST
v1/accounts/:accountId/groups/:groupId/collections/:collectionId/parameters:search-indices
Indices report occurrence counts by various data types, such as by labels and category bindings. Additional types include: group bindings, data types, instances, types, hidden parameters, and archived parameters appearing among the parameters in the collection.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/parameters/v1/accounts/:accountId/groups/:groupId/collections/:collectionId/parameters:search-indices |
| Authentication Context | user context required |
| Required OAuth Scopes | data:search |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| Content-Type* string | Must be application/json |
| Region string | The region the hub’s data is provisioned in.
Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US. |
* Required
Request
URI Parameters
| accountId string: UUID or string: b.UUID | The Autodesk Forma hub ID. |
| groupId string | The group ID. Currently, only one group is supported, and group id is equal to hub id. (Supporting multiple groups is considered for future enhancement) |
| collectionId string | The collection ID. |
Request
Body Structure
| searchedText string | The searched text. |
| labelIds array: string | The label IDs. Lookup the label ID in the response of the GET /labels API. |
| groupBindingId string | The group ID. Lookup the group ID in the response of the GET /classifications/groups API. |
| dataTypeIds array: string | The parameter data type IDs. It could be either a parameter spec ID or a category ID. When used as a “data type” identifier, a category ID indicates the “Family Type” spec with that category. Lookup the spec ID in the response of the GET /specs API. Lookup the category ID in the response of the GET /classifications/categories API. |
| categoryBindingIds array: string | The classification category binding IDs. Look up detailed information in the response of the GET /classifications/categories API. |
| isInstance boolean | Indicates if the parameter is associated with element instances. |
| isType boolean | Indicates if the parameter is associated with element types. |
| isHidden boolean | Indicates if the parameter is hidden in the application user-interface. |
| isReadOnly boolean | Indicates if the parameter is to be treated as read-only or not by a UI client. Immutable once set. |
| isArchived boolean | Indicates if the parameters are archived or not. |
Response
HTTP Status Code Summary
| 200 OK | Successful search response for occurrence of given indices. |
| 400 Bad Request | The request could not be understood by the server due to malformed syntax. |
| 401 Unauthorized | Request has not been applied because it lacks valid authentication credentials for the target resource. |
| 403 Forbidden | The server understood the request but refuses to authorize it. |
| 404 Not Found | The resource cannot be found. |
| 406 Not Acceptable | The server cannot produce a response matching the list of acceptable values defined in the request. |
| 410 | Access to the target resource is no longer available. |
| 429 Too Many Requests | User has sent too many requests in a given amount of time. |
| 500 Internal Server Error | An unexpected error occurred on the server. |
| 503 Service Unavailable | Server is not ready to handle the request. |
Response
Body Structure (200)
Expand all
| dataTypes array: object | The data type statistics information. |
| id string | The data type ID. It could be either a parameter spec ID or a category ID. When used as a “data type” identifier, a category ID indicates the “Family Type” spec with that category. Lookup the spec ID in the response of the GET /specs API. Lookup the category ID in the response of the GET /classifications/categories API. |
| count int | The parameter count with the data type. |
| labels array: object | The label statistics information. |
| id string | The label ID. Look up detailed information in the response of the GET /labels API. |
| count int | The parameter count with this label attached. |
| categoryBindings array: object | The category binding statistics information. |
| id string | The category binding ID. Look up detailed information in the response of the GET /classification/categories API. |
| count string | The parameter count with this category binding. |
| groupBindings array: object | The group binding statistics information. |
| id string | The group binding ID. Look up the detailed information in the response of the GET /classification/groups API. |
| count int | The parameter count with the group binding. |
| instances int | The instance parameters count. |
| types int | The type parameters count. |
| hidden int | The hidden parameters count. |
| archived int | The archived parameters count. |
Note: Search APIs will return a (200) response even if it returns with errors in the response instead of a (207)
Example
Successful search for parameters-indices (200).
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/groups/009777bb-e1e5-4577-9800-0789677e4616/collections/028b3307-91aa-45ec-864c-1c4af88b8a08/parameters:search-indices' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"searchedText": "",
"isArchived": false,
"dataTypeIds": ["autodesk.spec:spec.string-2.0.0"]
}'
Show More
Response
{
"dataTypes": [
{
"typeId": "autodesk.spec:spec.string-2.0.0",
"count": 24
}
],
"labels": [
{
"id": "ACSF-01105-DTLK-44382",
"count": 10
},
{
"id": "ACTL-74886-BQNU-54596",
"count": 10
},
{
"id": "ACSY-84419-DPLC-36868",
"count": 6
},
{
"id": "ACVE-47566-JESZ-35795",
"count": 3
},
{
"id": "ACVE-40432-GAMP-63893",
"count": 1
}
],
"categoryBindings": [
{
"id": "ACFT-94219-HCEE-04771",
"count": 2
},
{
"id": "ACFT-94219-HCZK-47813",
"count": 2
}
],
"groupBindings": [
{
"id": "ABXZ-68714-GTBT-61905",
"count": 2
}
],
"instances": 1,
"types": 1,
"hidden": 0,
"archived": 0
}
Show More